---

fpbx_version: 16.0
fpbx_archive_sha256: 105e49d293d9ea4fb90d2f32efc92fd39c5d92dfef419578368dcecbd0f83f03
fpbx_archive_url: https://mirror.freepbx.org/modules/packages/freepbx/freepbx-{{ fpbx_version }}-latest.tgz
fpbx_root_dir: /opt/freepbx
fpbx_manage_upgrade: True

fpbx_db_server: localhost
fpbx_db_user: freepbx
fpbx_db_name: freepbx
fpbx_cdr_db_name: asteriskcdrdb
# fpbx_db_pass: secret

fpbx_php_version: 74

# fbx_alias: /freepbx
# fpbx_src_ip:
#   - 192.168.281.0/24

# fpbx_manager_pass: secret
# Can be set to database to use internal auth. None is used when protecting accessing with the web server
fpbx_auth_type: none

fpbx_mgm_tcp_ports: [ 5038 ]
fpbx_mgm_udp_ports: []
fpbx_voip_tcp_ports:
  - 5060          # SIP
  - 5061          # SIP with TLS
fpbx_voip_udp_ports:
  - 5060          # SIP
  - 5061          # SIP with TLS
  - 5160          # SIP, chan_sip
  - '10000:20000' # RTP
  - 4520          # dundi
  - 4569          # IAX2
fpbx_prov_tcp_ports: [ 21 ]
fpbx_prov_udp_ports: [ 69 ]
fpbx_http_ports:
  - 80     # Normal HTTP
  - 8088   # asterisk http endpoint
  - 8089   # asterisk https endpoint
  - 8001   # NodeJS UCP http endpoint
  - 8003   # NodeJS UCP https endpoint
fpbx_mgm_src_ip: []
fpbx_voip_src_ip: []
fpbx_http_src_ip: "{{ httpd_src_ip }}"
fpbx_prov_src_ip: "{{ fpbx_voip_src_ip }}"

# Password used for provisioning. The user is phone
# A random one is created if not set here
# fpbx_phone_pass: s3crEt.

# Set to your vhost if you use one
# fpbx_vhost: https://tel.domain.net

# If letsencrypt role is also installed, you can get a certificate by uncommenting this
# fpbx_letsencrypt_cert: "{{ inventory_hostname }}"
